Bug 19806 - Add class to items.itemnotes_nonpublic
Summary: Add class to items.itemnotes_nonpublic
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-12-13 19:15 UTC by Jessie Zairo
Modified: 2018-06-04 20:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19806 - Add classes to itemnotes in issues table (1.95 KB, patch)
2017-12-14 12:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19806: Add classes to itemnotes in issues table (2.00 KB, patch)
2017-12-14 13:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19806: Add classes to itemnotes in issues table (2.09 KB, patch)
2017-12-15 10:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Zairo 2017-12-13 19:15:13 UTC
Bug 13024 - Nonpublic note not appearing in the staff client added the nonpublic note to the 
1) Checkouts (circulation.pl)
2) Checkins (returns.pl)
3) Record details ( moredetail.pl )

There is currently no class to hide on of those locations if a library wants to hide a non public note. Can we add a class to items.itemnotes_nonpublic so libraries have the choice to hide one of the locations listed above.
Comment 1 Nick Clemens 2017-12-14 12:58:32 UTC
Created attachment 69801 [details] [review]
Bug 19806 - Add classes to itemnotes in issues table

To test:
1 - Checkout an item with both public and non-public notes
2 - Note the notes display and both have circ-hlt class
3 - Apply patch
4 - Ensure display has not changed
5 - Note notes now have classes 'item-note-public' and
'item-note-nonpublic'
6 - Sign off
Comment 2 Owen Leonard 2017-12-14 13:37:03 UTC
Created attachment 69803 [details] [review]
Bug 19806: Add classes to itemnotes in issues table

To test:
1 - Checkout an item with both public and non-public notes
2 - Note the notes display and both have circ-hlt class
3 - Apply patch
4 - Ensure display has not changed
5 - Note notes now have classes 'item-note-public' and
'item-note-nonpublic'
6 - Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2017-12-15 10:43:11 UTC
Created attachment 69818 [details] [review]
Bug 19806: Add classes to itemnotes in issues table

To test:
1 - Checkout an item with both public and non-public notes
2 - Note the notes display and both have circ-hlt class
3 - Apply patch
4 - Ensure display has not changed
5 - Note notes now have classes 'item-note-public' and
'item-note-nonpublic'
6 - Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-12-15 10:44:36 UTC
The only thing I could say is that item-note- does not fully match the field name itemnotes :) Which is no problem to me!
Comment 5 Nick Clemens 2017-12-15 11:05:41 UTC
(In reply to Marcel de Rooy from comment #4)
> The only thing I could say is that item-note- does not fully match the field
> name itemnotes :) Which is no problem to me!

Ah, yes, I copied the classes I found on returns.tt, figured the same css could be used consistently then.
Comment 6 Jonathan Druart 2017-12-18 15:19:32 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-20 13:03:07 UTC
Awesome work all! Pushed to stable for 17.11.01
Comment 8 Fridolin SOMERS 2018-02-26 13:25:36 UTC
Pushed to 17.05.x for v17.05.10